List end customers
curl --request GET \
--url https://api.yara.cash/v1/customers \
--header 'X-Yara-API-Key: <api-key>'import requests
url = "https://api.yara.cash/v1/customers"
headers = {"X-Yara-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Yara-API-Key': '<api-key>'}};
fetch('https://api.yara.cash/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"business_name": "<string>",
"capabilities": {},
"created_at": "<string>",
"email": "<string>",
"external_reference": "<string>",
"first_name": "<string>",
"id": "<string>",
"last_name": "<string>",
"rejection_reasons": [
"<string>"
],
"tier_1_complete": true,
"tier_2_complete": true,
"updated_at": "<string>"
}
],
"meta": {
"limit": 50,
"page": 1,
"total": 42,
"total_pages": 1
}
}{
"error": {
"code": "validation_error",
"message": "invalid JSON body"
}
}{
"error": {
"code": "validation_error",
"message": "invalid JSON body"
}
}Customers
List end customers
Lists customers owned by the authenticated merchant.
GET
/
v1
/
customers
List end customers
Authorizations
Public merchant API key. You can also send Authorization: ApiKey .
Query Parameters
Exact merchant customer reference
Customer type
Available options:
INDIVIDUAL, BUSINESS Customer verification status
Created at or after this RFC3339 timestamp
Created at or before this RFC3339 timestamp
Number of results per page (default: 50, max: 200)
Required range:
1 <= x <= 200Page number (default: 1)
Required range:
x >= 1⌘I